# ZenossApi

Command line interface abstraction of zenoss api method calls. 

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'zenoss_api'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install zenoss_api

## Usage

Get all device classes:

```bash
zenapi -m getDeviceClasses | jq '.deviceClasses[]'
```

Get all groups:

```bash
zenapi -m getGroups | jq '.groups[] | .name'
```

Get devices in device class, limit to 30:

```bash
zenapi -a uid=/zport/dmd/Devices/Server/Linux --limit 30 | jq '.devices[]'
```

Get device by name:

```bash
zenapi -m getDevices -p name=hostname|fqdn
```

Get most recent events, limit to 10:

```bash
zenapi -m query -r EventsRouter --limit 10 | jq '.events[] | .device | .text'
```

Get event detail:
````bash
zenapi -r EventsRouter -m detail -a evid=0025b520-10e1-bfad-11e6-9abe93a9a0ae | jq '.'
````

Get all routers:
````bash
zenapi -r IntrospectionRouter -m getAllRouters  | jq '.data[] | .name'
````

Introspect router methods:
````bash
zenapi -r IntrospectionRouter -m getRouterMethods -a router=DeviceRouter | jq '.data'
````

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitLab at http://https://gitlab.com/twstoll/zenoss_api This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
