#!/usr/bin/bash

zenapi -r TemplateRouter -m getTemplates -a id=/zport/dmd/Devices | jq '.success'
zenapi -m query -r EventsRouter --limit 50 | jq '.events | length == 50'
zenapi -r DeviceRouter -m getDevices --limit 50 | jq '.devices | length == 50'
zenapi -r EventsRouter -m query --limit 1 -f 'severity:5,eventState:0,prodState:1000,eventClass:/Status/Ping,summary:is DOWN'   | jq '.totalCount'
zenapi -r EventsRouter -m query --limit 1 -f 'severity:3,eventState:0,prodState:1000' | jq '.totalCount'
zenapi -r EventsRouter -m query --limit 1 -f 'severity:5,eventState:1,prodState:1000' | jq '.totalCount'
zenapi -r EventsRouter -m query --limit 1000 -k device,summary -f 'eventClass:/Status/SNMP,eventState:0,prodState:1000' | jq '.totalCount'
zenapi -r EventsRouter -m query --limit 1 -f 'severity:4,eventState:0,prodState:1000'   | jq '.totalCount'
zenapi -r EventsRouter -m query --limit 1000 -k device,summary -f 'eventClass:/Status/WinRM,eventState:0,prodState:1000' | jq '.totalCount'
zenapi -r EventsRouter -m query --limit 1 -f 'severity:5,eventState:0,prodState:1000'   | jq '.totalCount'
zenapi --limit 1 -f '{ "productionState": [ 1000 ] }' | jq '.totalCount'
zenapi --limit 1 -f '{ "productionState": [ 400, -1 ] }' | jq '.totalCount'

